mail/courier-unicode - The NetBSD Packages Collection

Implements several algorithms related to the Unicode Standard

This library implements several algorithms related to the Unicode Standard:
 -  Look up uppercase, lowercase, and titlecase equivalents of a unicode
    character
 -  Implementation of grapheme and work breaking rules
 -  Implementation of line breaking rules
 -  Several ancillary functions, like looking up the unicode character
    that corresponds to some HTML 4.0 entity (such as "&", for example),
    and determining the normal width or a double-width status of a unicode
    character. Also, an adaptation of the iconv(3) API for this unicode
    library
 -  Look up the Unicode script property
 -  Look up the category property
This library also implements C++ bindings for these algorithms.

Build dependencies

pkgtools/cwrappers devel/libtool-base devel/automake devel/autoconf devel/gmake

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfcourier-unicode-2.1.tgz
NetBSD 8.0earmv7hfcourier-unicode-2.1.tgz
NetBSD 8.0earmv7hfcourier-unicode-2.1.tgz
NetBSD 8.0earmv7hfcourier-unicode-2.1.tgz
NetBSD 8.0i386courier-unicode-2.1.tgz
NetBSD 8.0i386courier-unicode-2.1.tgz
NetBSD 8.0i386courier-unicode-2.1.tgz
NetBSD 8.0i386courier-unicode-2.1.tgz
NetBSD 8.0powerpccourier-unicode-2.1.tgz
NetBSD 8.0powerpccourier-unicode-2.1.tgz
NetBSD 8.0powerpccourier-unicode-2.1.tgz
NetBSD 8.0powerpccourier-unicode-2.1.tgz
NetBSD 8.0powerpccourier-unicode-2.1.tgz
NetBSD 8.0x86_64courier-unicode-2.1.tgz
NetBSD 8.0x86_64courier-unicode-2.1.tgz
NetBSD 8.0x86_64courier-unicode-2.1.tgz
NetBSD 8.0x86_64courier-unicode-2.1.tgz
NetBSD 9.0aarch64courier-unicode-2.1.tgz
NetBSD 9.0aarch64courier-unicode-2.1.tgz
NetBSD 9.0aarch64courier-unicode-2.1.tgz
NetBSD 9.0aarch64courier-unicode-2.1.tgz
NetBSD 9.0alphacourier-unicode-2.1.tgz
NetBSD 9.0alphacourier-unicode-2.1.tgz
NetBSD 9.0earmcourier-unicode-2.1.tgz
NetBSD 9.0earmcourier-unicode-2.1.tgz
NetBSD 9.0earmv6hfcourier-unicode-2.1.tgz
NetBSD 9.0earmv6hfcourier-unicode-2.1.tgz
NetBSD 9.0earmv6hfcourier-unicode-2.1.tgz
NetBSD 9.0earmv6hfcourier-unicode-2.1.tgz
NetBSD 9.0earmv6hfcourier-unicode-2.1.tgz
NetBSD 9.0earmv7hfcourier-unicode-2.1.tgz
NetBSD 9.0earmv7hfcourier-unicode-2.1.tgz
NetBSD 9.0earmv7hfcourier-unicode-2.1.tgz
NetBSD 9.0earmv7hfcourier-unicode-2.1.tgz
NetBSD 9.0earmv7hfcourier-unicode-2.1.tgz
NetBSD 9.0earmv7hfcourier-unicode-2.1.tgz
NetBSD 9.0earmv7hfcourier-unicode-2.1.tgz
NetBSD 9.0i386courier-unicode-2.1.tgz
NetBSD 9.0i386courier-unicode-2.1.tgz
NetBSD 9.0i386courier-unicode-2.1.tgz
NetBSD 9.0i386courier-unicode-2.1.tgz
NetBSD 9.0m68kcourier-unicode-2.1.tgz
NetBSD 9.0mips64ebcourier-unicode-2.1.tgz
NetBSD 9.0mips64ebcourier-unicode-2.1.tgz
NetBSD 9.0mips64ebcourier-unicode-2.1.tgz
NetBSD 9.0mips64ebcourier-unicode-2.1.tgz
NetBSD 9.0mipselcourier-unicode-2.1.tgz
NetBSD 9.0mipselcourier-unicode-2.1.tgz
NetBSD 9.0mipselcourier-unicode-2.1.tgz
NetBSD 9.0powerpccourier-unicode-2.1.tgz
NetBSD 9.0powerpccourier-unicode-2.1.tgz
NetBSD 9.0powerpccourier-unicode-2.1.tgz
NetBSD 9.0powerpccourier-unicode-2.1.tgz
NetBSD 9.0powerpccourier-unicode-2.1.tgz
NetBSD 9.0sh3elcourier-unicode-2.1.tgz
NetBSD 9.0sh3elcourier-unicode-2.1.tgz
NetBSD 9.0sh3elcourier-unicode-2.1.tgz
NetBSD 9.0sparc64courier-unicode-2.1.tgz
NetBSD 9.0sparc64courier-unicode-2.1.tgz
NetBSD 9.0sparccourier-unicode-2.1.tgz
NetBSD 9.0sparccourier-unicode-2.1.tgz
NetBSD 9.0sparccourier-unicode-2.1.tgz
NetBSD 9.0sparccourier-unicode-2.1.tgz
NetBSD 9.0vaxcourier-unicode-2.1.tgz
NetBSD 9.0vaxcourier-unicode-2.1.tgz
NetBSD 9.0vaxcourier-unicode-2.1.tgz
NetBSD 9.0x86_64courier-unicode-2.1.tgz
NetBSD 9.0x86_64courier-unicode-2.1.tgz
NetBSD 9.0x86_64courier-unicode-2.1.tgz
NetBSD 9.0x86_64courier-unicode-2.1.tgz
NetBSD 9.0x86_64courier-unicode-2.1.tgz
NetBSD 9.0x86_64courier-unicode-2.1.tgz
NetBSD 9.0x86_64courier-unicode-2.1.tgz
NetBSD 9.0x86_64courier-unicode-2.1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.